CREATE TABLE [consulenzaUnica].[dbo].[Proposta] (
    [chiaveProposta] bigint NOT NULL,
    [chiaveConsulenza] bigint NOT NULL,
    [status] varchar(2) NOT NULL,
    [chiaveClientePB] bigint NOT NULL,
    [nomeProposta] varchar(128) NULL,
    [dtProposta] datetime NULL,
    [dtValidazione] datetime NULL,
    [dtUltimoAgg] datetime NULL,
    [dtScadenza] datetime NULL,
    [risorseFinanziarieBF] decimal(18,2) NULL,
    [risorseFinanziarieBT] decimal(18,2) NULL,
    [contoCorrente] decimal(18,2) NULL,
    [rischioCredito] decimal(19,7) NULL,
    [rischioMercato] decimal(18,2) NULL,
    [adeguatezza] bit NULL,
    [discesaRegime] bit NULL,
    [diversificazione] decimal(18,2) NULL,
    [copertura] decimal(18,2) NULL,
    [codValidazione] varchar(10) NULL,
    [urlValidazione] varchar(200) NULL,
    [urlSimulazione] varchar(200) NULL,
    [urlReport] varchar(200) NULL,
    [apporti] decimal(18,2) NULL,
    [prelievi] decimal(18,2) NULL,
    [flgScadenza] int NULL,
    [flgInadRischioCredito] bit NULL,
    [flgInadRischioMercato] bit NULL,
    [flgInadComplessita] bit NULL,
    [flgInadFrequenza] bit NULL,
    [flgInadConcentrazione] bit NULL,
    [flgInadLiquidita] bit NULL,
    [isAttivoRC] bit NULL,
    [token] int NULL,
    [flagNuovoFlusso] bit NULL,
    [lineaself] decimal(18,2) NULL,
    [chiavePropCopiata] bigint NULL,
    [dtInizioValidita] datetime NULL,
    [dtAggiornamento] datetime NULL,
    [flagSei] bit NULL,
    [ChiaveAdeguatezza] int NULL,
    [dtValidazioneScaduta] datetime NULL,
    [varRisAllPro] decimal(18,2) NULL,
    [rischioCreditoRisAllPro] decimal(18,2) NULL,
    [coperturaRisAllPro] decimal(18,2) NULL,
    [isAttivoRCRisAllPro] bit NULL,
    [canale] varchar(5) NULL,
    [chiaveDelegato] bigint NULL,
    [chiaveImportazione] bigint NULL,
    [luogoIncontro] varchar(50) NULL,
    [proponenteIncontro] varchar(50) NULL,
    [dataIncontro] datetime NULL,
    [isSwitching] bit NULL,
    [isProposteMolteplici] bit NULL,
    [esitoSimulazione] varchar(50) NULL,
    [flagEccessivaAdeg] varchar(50) NULL,
    [pdfVerificaSwitching] varchar(200) NULL,
    [tipoProposta] varchar(2) NULL,
    [chiaveClientePBOld] bigint NULL,
    [SavingMap] bit NULL,
    [flagRitirataPO] bit NULL,
    [isDeroga] bit NULL,
    [isDerogato] bit NULL,
    [esitoSwitching] varchar(5) NULL,
    [statoAutorizzazione] numeric(1,0) NULL,
    [nomePBValidazione] varchar(50) NULL,
    [cognomePBValidazione] varchar(50) NULL,
    [progressivoValidazione] int NULL,
    [codicePBValidazione] varchar(7) NULL,
    [rischioMercatoPPVV] decimal(18,2) NULL,
    [rischioMercatoPPVVDec] varchar(10) NULL,
    [rischioMercatoConPPVV] decimal(18,2) NULL,
    [rischioMercatoConPPVVDec] varchar(10) NULL,
    [partiteViaggiantiProposto] decimal(18,2) NULL,
    [rischioCreditoPPVVDec] varchar(20) NULL,
    [rischioCreditoConPPVVDec] varchar(20) NULL,
    [complessita] varchar(20) NULL,
    [complessitaPPVV] varchar(20) NULL,
    [complessitaConPPVV] varchar(20) NULL,
    [rischioCreditoDec] varchar(20) NULL,
    [partiteViaggiantiSaldo] decimal(18,2) NULL,
    [bilanciamentoRobo] char(1) NULL,
    [ID_Suggerimento] varchar(250) NULL,
    [isPBValidazioneUDS] bit NULL,
    [dtInvioPo] datetime NULL
);
GO

-- Popolamento tabella
-- INSERT INTO [consulenzaUnica].[dbo].[Proposta]
-- SELECT * FROM [CONSUNI].[consulenzaUnica].[dbo].[Proposta];
-- GO